Subject: bug#28409: 26.0.50; xref, tags, and multiple projects

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Sep 2017 22:40:34 +0300

> From: Tom Tromey <[email-masked]>
> Date: Sun, 10 Sep 2017 12:29:03 -0600
> 
> I have multiple projects open at a given time.
> 
> If I use xref on two projects, and load tags file for both, I would like
> it if the tags were project-specific.  Currently I only have the option
> to keep all the tags files together, which sometimes leads to conflicts
> where the same symbol appears in both projects.

You should be able to make the tags tables local to a buffer by
invoking visit-tags-table with a prefix argument (see the doc string
of that command for details).  Did you try that?